javax.resource.spi

## Class SecurityException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - javax.resource.ResourceException
      - - javax.resource.spi.SecurityException

- All Implemented Interfaces:
    java.io.Serializable

      public class SecurityException
      extends ResourceException

  A `SecurityException` indicates error conditions related to the security contract between an application server and resource adapter. The common error conditions represented by this exception are:
  - Invalid security information (represented as a Subject instance) passed across the security contract - for example, credentials have expired or have invalid format.
  - Lack of support for a specific security mechanism in an EIS or resource adapter.
  - Failure to create a connection to an EIS because of failed authentication or authorization.
  - Failure to authenticate a resource principal to an EIS instance or failure to establish a secure association with an underlying EIS instance.
  - Access control exception to indicate that a requested access to an EIS resource or a request to create a new connection is denied.
  Version:
    1.0
  Author:
    Rahul Sharma, Ram Jeyaraman
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SecurityException()` Constructs a new instance with null as its detail message.
    `SecurityException(java.lang.String message)` Constructs a new instance with the specified detail message.
    `SecurityException(java.lang.String message, java.lang.String errorCode)` Constructs a new throwable with the specified detail message and an error code.
    `SecurityException(java.lang.String message, java.lang.Throwable cause)` Constructs a new throwable with the specified detail message and cause.
    `SecurityException(java.lang.Throwable cause)` Constructs a new throwable with the specified cause.

  - ### Method Summary

    - ### Methods inherited from class javax.resource.ResourceException

      `getErrorCode, getLinkedException, getMessage, setErrorCode, setLinkedException`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SecurityException

          public SecurityException()

      Constructs a new instance with null as its detail message.

    - #### SecurityException

          public SecurityException(java.lang.String message)

      Constructs a new instance with the specified detail message.
      Parameters:
        `message` - the detail message.

    - #### SecurityException

          public SecurityException(java.lang.Throwable cause)

      Constructs a new throwable with the specified cause.
      Parameters:
        `cause` - a chained exception of type `Throwable`.

    - #### SecurityException

          public SecurityException(java.lang.String message,
                                   java.lang.Throwable cause)

      Constructs a new throwable with the specified detail message and cause.
      Parameters:
        `message` - the detail message.
        `cause` - a chained exception of type `Throwable`.

    - #### SecurityException

          public SecurityException(java.lang.String message,
                                   java.lang.String errorCode)

      Constructs a new throwable with the specified detail message and an error code.
      Parameters:
        `message` - a description of the exception.
        `errorCode` - a string specifying the vendor specific error code.

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)